Name:           ovaldi
Version:        5.3
Release:        1%{?dist}.1
Summary:        Reference implementation of the OVAL interpreter

Group:          Applications/System
License:        BSD
URL:            http://oval.mitre.org/language/download/interpreter/index.html
Source0:        http://oval.mitre.org/language/download/interpreter/version%{version}/interpreters.src-%{version}.tbz2
Patch0:         ovaldi-5.3-int.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  pcre-devel xerces-c-devel xalan-c-devel rpm-devel
%if "%{fedora}" == "8"
# In Fedora 7 popt is enough, in Fedora 9 rpm-devel pulls this in.
# This hacks around Fedora 8
BuildRequires:  popt-devel
%endif

%description
The OVAL Interpreter is a freely available reference implementation created
to show how information can be collected from a computer for testing, to
evaluate and carry out the OVAL definitions for that platform, and to
report the results of the tests.


%prep
%setup -qn Interpreters
%patch0 -p0 -b .int


%build
mkdir -p project/linux/Release/obj
# %{?_smp_mflags} can not be used
make -C project/linux CPPFLAGS='%{optflags}'


%install
rm -rf $RPM_BUILD_ROOT

# Directory structure
install -d $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_datadir}/ovaldi
install -d $RPM_BUILD_ROOT%{_mandir}/man1

# Files
install -m 755 project/linux/Release/ovaldi $RPM_BUILD_ROOT%{_bindir}
install -m 644 docs/ovaldi.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 xml/* $RPM_BUILD_ROOT%{_datadir}/ovaldi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/ovaldi
%{_datadir}/ovaldi
%{_mandir}/man1/ovaldi.1*
%doc docs/README.txt docs/terms.txt docs/version.txt


%changelog

* Thu Nov 29 2007 Lubomir Kundrak <lkundrak@redhat.com> 5.3-1.1
- popt-devel does not exist in f7 and is unneeded in f9. Drop it.

* Mon Nov 19 2007 Lubomir Kundrak <lkundrak@redhat.com> 5.3-1
- Initial package
